Update a person
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/persons/{person_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"suffix": "<string>",
"relationship": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"is_beneficiary": true,
"possible_dispute": true,
"is_deceased": true
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/persons/{person_id}"
payload = {
"first_name": "<string>",
"last_name": "<string>",
"middle_name": "<string>",
"suffix": "<string>",
"relationship": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"is_beneficiary": True,
"possible_dispute": True,
"is_deceased": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: '<string>',
last_name: '<string>',
middle_name: '<string>',
suffix: '<string>',
relationship: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
is_beneficiary: true,
possible_dispute: true,
is_deceased: true
})
};
fetch('https://api.example.com/v1/cases/{case_id}/persons/{person_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K5XD09EJ7T44HRYE78AN7JKL",
"first_name": "John",
"middle_name": "Jonas",
"last_name": "Johnson",
"suffix": null,
"relationship": "daughter",
"email": "alice@example.com",
"phone": "+11112223333",
"is_beneficiary": true,
"possible_dispute": false,
"is_deceased": false,
"waiver_status": "no_waiver_needed",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Persons
Update a person
Partially update a person’s information.
PATCH
/
cases
/
{case_id}
/
persons
/
{person_id}
Update a person
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Person identifier.
Body
application/json
Available options:
no_waiver_needed, waiver_pending, waiver_signed, waiver_refused Response
Person updated.
Show child attributes
Show child attributes
⌘I

